/*
 * RGB-Matrix-Uhr 64x32, Scott-Falk Hhn, "tables.h"
 * Verschiedene Tabellen und Listen
 */

#ifndef TABLES_H_
#define TABLES_H_

// UTF-8 Tabelle fr die wichtigsten Zeichen: ߰

const uint8_t utf8tab[] PROGMEM =
{
  0xc3, 0x84, 128,    // Code C3 84 -> 
  0xc3, 0x96, 129,    // Code C3 96 -> 
  0xc3, 0x9c, 130,    // Code C3 9C -> 
  0xc3, 0xa4, 131,    // Code C3 A4 -> 
  0xc3, 0xb6, 132,    // Code C3 B6 -> 
  0xc3, 0xbc, 133,    // Code C3 BC -> 
  0xc3, 0xa9, 139,    // Code C3 A9 -> 
  0xc3, 0x9f, 134,    // Code C3 9F -> 
  0xc2, 0xb0, 138     // Code C2 B0 -> Gradzeichen
};

// UTF-8 Tabelle fr 3-Byte-Zeichen: 

const uint8_t utf8tab3[] PROGMEM =
{
  0xE2, 0x82, 0xAC, 140   // Code E2 82 AC -> 
};

// Zeichenvorrat fr die Eingabe der Sensor- und Alarmnamen, die Reihenfolge kann gendert werden; aktueller Zeichenvorrat:
// " -.:0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz#" (# - Endezeichen)

const uint8_t charlist[] PROGMEM =
{
  32, 45, 46, 58, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78,
  79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 128, 129, 130, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106,
  107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 131, 132, 133, 134, 127
};

// Mentabelle, legt die Reihenfolge der Menfunktionen fest

const uint8_t modelist[] PROGMEM =
{
  0, 1, 2, 3, 4, 5, 48, 46, 47, 50, 52, 53, 6, 7, 51, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 49, 37, 38, 39, 40, 41, 42, 43, 44, 45
};

// Tagestabelle fr normale Jahre mit 365 Tagen

const uint8_t daytab1[] PROGMEM =
{
  31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31
};

// Tagestabelle fr Schaltjahre mit 366 Tagen

const uint8_t daytab2[] PROGMEM =
{
  31, 29, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31
};

// Farbwerttabelle (16 Farben + Testwei, jeweils 2 Bytes mit dem RGB-Wert)

const uint8_t colors[] PROGMEM =
{
  4, 4, 4, 5, 1, 4, 1, 5, 1, 1, 1, 3, 1, 2, 2, 3, 2, 2, 2, 6, 2, 4, 4, 6, 7, 4, 7, 1, 7, 2, 7, 0, 7, 7
};

const uint8_t brimintab[] PROGMEM =
{
  0, 3, 6, 9, 12, 15, 18, 21, 24, 27, 30
};

const uint8_t brimaxtab[] PROGMEM =
{
  35, 40, 45, 51, 57, 64, 71, 79, 87, 96, 105
};

#endif /* TABLES_H_ */
